TLSRPT_SET_MALLOC_AND_FREE(3)

NAME
tlsrpt_set_malloc_and_free - replaces the malloc implementation used within libtlsrpt

SYNOPSIS

#include <tlsrpt.h>

void tlsrpt_set_malloc_and_free(void* (*malloc_function)(size_t size), void (*free_function)(void *ptr))

DESCRIPTION

The tlsrpt_set_malloc_and_free function replaces the malloc implementation used within libtlsrpt. The replaced malloc is used within libtlsrpt only to allocate the struct tlsrpt_connection_t and struct tlsrpt_dr_t structures. Other malloc calls from within the C standard library are not affected.

    Note

    This function must be called before any of the allocating functions tlsrpt_open and tlsrpt_init_delivery_request is called! Otherwise one malloc implementation tries to free a pointer allocated by a different malloc implementation.

RETURN VALUE

The tlsrpt_set_malloc_and_free function has no return value.

SEE ALSO

tlsrpt_open(3), tlsrpt_init_delivery_request(3)

AUTHOR(S)

Boris Lohner
    Author(s).